2168542 - has been compiled by a more recent version of the Java Runtime | SAP Knowledge Base Article

SAP Knowledge Base Article - Preview

2168542 - has been compiled by a more recent version of the Java Runtime

Symptom

After a support pack upgrade on the system you get a similar error when trying to access Netweaver pages, for example System Info:

application [monitoring] Processing HTTP request to servlet [SystemInfoRedirectServlet] finished with error. The error is: java.lang.UnsupportedClassVersionError: jsp_SystemInfo1426162603159 has been compiled by a more recent version of the Java Runtime (class file version 50.0), this version of the Java Runtime only recognizes class file versions up to 52.0.

The Java engine is running and all services are started.


Read more...

Environment

SAP Netweaver Release Independent

Product

SAP NetWeaver all versions

Keywords

KBA , BC-JAS-COR , Enterprise Runtime, Core J2EE Framework , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.